package org.geant.idpextension.oidc.profile.logic;

import javax.annotation.Nullable;

import org.opensaml.profile.context.ProfileRequestContext;
import com.nimbusds.openid.connect.sdk.SubjectType;

/** Activation condition returning true if pairwise subject is requested. */
public class PairwiseSubjectActivationCondition extends PublicSubjectActivationCondition {

    /** {@inheritDoc} */
    @Override
    public boolean test(@Nullable final ProfileRequestContext input) {
        return SubjectType.PAIRWISE.equals(getSubjectTypeLookupStrategy().apply(input));
    }

}